define(["require", "exports"], function (require, exports) {
    "use strict";
    var validateCollection = {
        'required': function (value) {
            return !(value === undefined || value === null || /^\s*$/.test(value));
        },
        'number': function (value) {
            return /^-?\d+(?:\.\d+)?$/.test(value);
        },
        'email': function (value) {
            return /^(\w+|\.+)((-\w+|\.+)|(\.+\w+))*\@\w+((\.|-)\w+)*\.\w+/.test(value);
        },
        'maxLen': function (value, len) {
            var str = String(value), rps_value = str.replace(/^\s+|\s+$/g, '');
            return rps_value.length <= len;
        },
    };
    exports.validators = validateCollection;
});
//# sourceMappingURL=build-in-validators.js.map